Find People Using Filters

Overview

Use the people search API endpoint to find people in Apollo based on criteria such as job title, location, seniority, company, and industry.

This tutorial shows how to find sales directors located in California, Oregon, or Washington.

1: Search for People Using Job Title and Location Filters

To find sales directors located on the West Coast of the United States:

  1. Call the people API search endpoint:
POST https://api.apollo.io/api/v1/mixed_people/api_search
  1. Add the following query parameters:
ParameterValue for this ExampleNotes
person_titles["sales director", "director sales", "director, sales"]Add each job title as a separate string in the array.
person_locations["California, US", "Oregon, US", "Washington, US"]Filters people by their personal location. To filter by the location of their current employer, use organization_locations.
per_page5Sets the number of results returned per page. Enter an integer from 1 to 100.
  1. Add the following keys and values to the header of your request:
    1. Content-Type: application/json
    2. Cache-Control: no-cache
    3. x-api-key: Enter your Apollo API key.

cURL Request

The following shows the example as a cURL request:

curl --request POST \
     --url 'https://api.apollo.io/api/v1/mixed_people/api_search?person_titles[]=sales%20director&person_titles[]=director%20sales&person_titles[]=director%2C%20sales&person_locations[]=California%2C%20US&person_locations[]=Oregon%2C%20US&person_locations[]=Washington%2C%20US&per_page=5' \
     --header 'Cache-Control: no-cache' \
     --header 'Content-Type: application/json' \
     --header 'accept: application/json' \
     --header 'x-api-key: YOUR_API_KEY'

Postman Request

As an example, here's how the request can be formatted in Postman. If you prefer to pass parameters via the body of the request, use the raw option instead of form-data.

Response Details

A successful request returns a 200 response status and JSON data similar to the following response:

{
  "total_entries": 31993,
  "people": [
    {
      "id": "63519a6d6fa6ba00019200f8",
      "first_name": "Elena",
      "last_name_obfuscated": "Mo***s",
      "title": "Director of Sales",
      "last_refreshed_at": "2026-05-16T08:16:08.485+00:00",
      "has_email": false,
      "has_city": true,
      "has_state": true,
      "has_country": true,
      "has_direct_phone": "Yes",
      "organization": {
        "name": "Northwind Systems",
        "has_industry": true,
        "has_phone": true,
        "has_city": true,
        "has_state": true,
        "has_country": true,
        "has_zip_code": true,
        "has_revenue": true,
        "has_employee_count": true
      }
    },
    {
      "id": "67da57bcf3aa9a0001ef0500",
      "first_name": "Marcus",
      "last_name_obfuscated": "Le***n",
      "title": "Sales Director",
      "last_refreshed_at": "2026-05-10T08:39:18.742+00:00",
      "has_email": true,
      "has_city": true,
      "has_state": true,
      "has_country": true,
      "has_direct_phone": "Yes",
      "organization": {
        "name": "Blue Peak Analytics",
        "has_industry": true,
        "has_phone": true,
        "has_city": true,
        "has_state": true,
        "has_country": true,
        "has_zip_code": true,
        "has_revenue": true,
        "has_employee_count": true
      }
    },
    {
      "id": "55d6d50df3e5bb19db00382b",
      "first_name": "Priya",
      "last_name_obfuscated": "Sh***h",
      "title": "Director, Sales",
      "last_refreshed_at": "2026-05-10T10:38:42.300+00:00",
      "has_email": false,
      "has_city": true,
      "has_state": true,
      "has_country": true,
      "has_direct_phone": "Yes",
      "organization": {
        "name": "Harborline Software",
        "has_industry": true,
        "has_phone": true,
        "has_city": true,
        "has_state": true,
        "has_country": true,
        "has_zip_code": true,
        "has_revenue": false,
        "has_employee_count": true
      }
    },
    {
      "id": "67bbfd72fe96a70001ebb388",
      "first_name": "Darius",
      "last_name_obfuscated": "Co***e",
      "title": "Sales Director",
      "last_refreshed_at": "2026-05-08T01:30:13.928+00:00",
      "has_email": true,
      "has_city": true,
      "has_state": true,
      "has_country": true,
      "has_direct_phone": "Yes",
      "organization": {
        "name": "Cedar Grove Technologies",
        "has_industry": true,
        "has_phone": true,
        "has_city": true,
        "has_state": true,
        "has_country": true,
        "has_zip_code": true,
        "has_revenue": true,
        "has_employee_count": true
      }
    },
    {
      "id": "6820ea8427ffb80001b7c115",
      "first_name": "Naomi",
      "last_name_obfuscated": "Ki***a",
      "title": "Director of Sales",
      "last_refreshed_at": "2026-05-03T23:32:52.029+00:00",
      "has_email": true,
      "has_city": true,
      "has_state": true,
      "has_country": true,
      "has_direct_phone": "Maybe: request direct dial via people/bulk_match",
      "organization": {
        "name": "Summit Ridge Networks",
        "has_industry": true,
        "has_phone": true,
        "has_city": true,
        "has_state": true,
        "has_country": true,
        "has_zip_code": true,
        "has_revenue": true,
        "has_employee_count": true
      }
    }
  ]
}

The following table details some key elements of the API response:

ElementDescription
total_entriesThe total number of people that match the search criteria.
idThe Apollo person ID. Use this value to enrich the person with the people enrichment or bulk people enrichment endpoint.
first_nameThe person's first name.
last_name_obfuscatedAn obfuscated version of the person's last name.
titleThe person's current job title.
has_emailIndicates whether Apollo has an email address for the person.
has_direct_phoneIndicates whether Apollo may have a direct phone number for the person.
organizationAvailability indicators for data about the person's current employer.

The people API search endpoint returns limited person and organization data. To retrieve complete person profiles, use the returned id values with the people enrichment or bulk people enrichment endpoint.

For a bulk enrichment example, check out Enrich People Data.


Did this page help you?